cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
377
Views
0
Helpful
4
Replies

ncs-restore from older release to latest release compatibility

Shantha Kumar Selvaraj
Cisco Employee
Cisco Employee

Hi,

What  restore options do we support:

1. Can we restore lower release to latest e.g 4.5.2 to 4.6 if not what options to we have.

2. Does ncs-backup and restore will retain CDB,configurations, service package state awell

Thanks

1 Accepted Solution

Accepted Solutions

Jan Lindblad
Cisco Employee
Cisco Employee

1. Can we restore lower release to latest e.g 4.5.2 to 4.6 if not what options to we have.

Yes. The database will upgrade the content automatically, if needed. If you are upgrading to a new major (as in 4.5.x to 4.6.x), you will need to also rebuild your packages.

2. Does ncs-backup and restore will retain CDB,configurations, service package state awell

Yes, ncs-backup backs up and restores the packages and state as well.

View solution in original post

4 Replies 4

Shantha Kumar Selvaraj
Cisco Employee
Cisco Employee

Hi All,Any input on this ,appreciate it

Jan Lindblad
Cisco Employee
Cisco Employee

1. Can we restore lower release to latest e.g 4.5.2 to 4.6 if not what options to we have.

Yes. The database will upgrade the content automatically, if needed. If you are upgrading to a new major (as in 4.5.x to 4.6.x), you will need to also rebuild your packages.

2. Does ncs-backup and restore will retain CDB,configurations, service package state awell

Yes, ncs-backup backs up and restores the packages and state as well.

Thanks Jan

It looks like the packages are not backed up,I tried to restore from 4.5.2 to 4.6 and it complains of missing user packages

In a scenario we are restoring in a fresh nso box where we do not have any packages installed restore is going to abort.

ERROR  The following entries in the packages directory in the

ERROR  backup are symbolic links to non-existing packages

  Audit-and- -> /apps/nso/opt/ncs/current/packages/services/Audit-

  dm -> apps/nso/opt/ncs/current/packages/services/dm

  dmz-sub -> /apps/nso/opt/ncs/current/packages/services/dmz-sub

 

ERROR  Please make sure that these packages are installed

ERROR ** Restore aborted

Well, if you don't keep the packages in the NSO installation directory, but only insert softlinks to wherever you actually keep them, I guess you are right. That would only backup the softlinks.